# -*- coding: utf-8 -*-

OPTIMAL = True

CONFIGS = [
    (1, [
        "--heuristic",
        "h_seq=operatorcounting([state_equation_constraints(), feature_constraints(max_size=2)], cost_type=zero, nogoods=statemin)",
        "--heuristic",
        "t=traps(h=h_seq, out=trap.txt)",
        "--search",
        "tarjan(h_seq, refiner=traps_neighbors(h=t), recompute_u=true)"]),
    (4, [
        "--heuristic",
        "h_pdb=deadpdbs(max_time=1)",
        "--heuristic",
        "t=traps(h=h_pdb, in=trap.txt, out=trap.txt)",
        "--search",
        "tarjan(h_pdb, refiner=traps_neighbors(h=t), recompute_u=true)"]),
    (420, [
        "--heuristic",
        "h_seq=operatorcounting([state_equation_constraints(), lmcut_constraints()], nogoods=statemin)",
        "--heuristic",
        "t=traps(h=h_seq, in=trap.txt, out=trap.txt)",
        "--search",
        "tarjan(h_seq, refiner=traps_neighbors(h=t), recompute_u=true)"]),
    (1275, [
        "--heuristic",
        "h_pdb=deadpdbs(max_time=relative time 50)",
        "--heuristic",
        "t=traps(h=h_pdb, in=trap.txt, out=trap.txt)",
        "--search",
        "tarjan(h_pdb, refiner=traps_neighbors(h=t), recompute_u=true)"]),
    (100, [
        "--heuristic",
        "h_seq=operatorcounting([state_equation_constraints(), feature_constraints(max_size=2)], cost_type=zero, nogoods=statemin)",
        "--heuristic",
        "t=traps(h=h_seq, in=trap.txt, out=trap.txt)",
        "--search",
        "tarjan(h_seq, refiner=traps_neighbors(h=t), recompute_u=true)"]),
]

assert sum(t for t, _ in CONFIGS) == 1800
