# -*- coding: utf-8 -*-

OPTIMAL = True

CONFIGS = [
    (1, [
        "--heuristic",
        "h_seq=operatorcounting([state_equation_constraints(), feature_constraints(max_size=2)], cost_type=zero)",
        "--search",
        "tarjan(h_seq)"]),
    (4, [
        "--heuristic",
        "h_pdb=deadpdbs(max_time=1)",
        "--search",
        "tarjan(h_pdb)"]),
    (420, [
        "--heuristic",
        "h_seq=operatorcounting([state_equation_constraints(), lmcut_constraints()])",
        "--search",
        "tarjan(h_seq)"]),
    (1275, [
        "--heuristic",
        "h_pdb=deadpdbs(max_time=relative time 50)",
        "--search",
        "tarjan(h_pdb)"]),
    (100, [
        "--heuristic",
        "h_seq=operatorcounting([state_equation_constraints(), feature_constraints(max_size=2)], cost_type=zero)",
        "--search",
        "tarjan(h_seq)"]),
]

assert sum(t for t, _ in CONFIGS) == 1800
